<bugID>894561<Summary>[Session Restore] Async APIs for session restore</Summary><Description>Bug 838577 introduces async APIs for session restore. For the moment, these APIs can be used only by tests.

With e10s, we need to offer only async APIs.

We need to:
- either publish these async APIs or some better-designed APIs;
- convert clients to these new APIs.</Description></bugID>